Skip to main content
GET
/
employees
List employees
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/employees \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.nmbr.co/services/payroll/employees"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.nmbr.co/services/payroll/employees', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "<id>",
      "object": "employee",
      "data": {
        "company": {
          "id": "<id>",
          "object": "company",
          "links": {
            "self": "/companies/<id>"
          }
        },
        "employee_number": "001",
        "first_name": "Marley",
        "last_name": "Prosacco",
        "middle_initial": null,
        "personal_email": "marley.prosacco@personal.test",
        "work_email": "mprosacco@work.test",
        "address_line_1": "Angelina Ridge",
        "address_line_2": null,
        "city": "Toronto",
        "administrative_area": "ON",
        "province_code": "ON",
        "country_code": "CA",
        "postal_code": "M1M1M1",
        "sin": "196710156",
        "sin_last_3": "156",
        "date_of_birth": "1985-01-20",
        "warnings": {
          "object": "list",
          "data": [
            {
              "object": "warning",
              "data": {
                "namespace": "onboarding",
                "type": "bank_account_doesnt_exists"
              }
            }
          ]
        },
        "external_ref": null,
        "preferred_locale": null,
        "archived_at": null,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/employees/<id>"
      }
    }
  ],
  "links": {
    "first": "/employees?page=1",
    "last": "/employees?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 1,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

include_archived
boolean
archived_at
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: archived_at=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: archived_at[gte]=2024-01-01&archived_at[lt]=2024-12-31
external_ref
string
search_names
string
sort
enum<string>

Sort order is specified using the format sort=field[:direction][,field[:direction],...] where field is the name of the field to sort by and direction is the optional sort direction (asc or desc).

Available options:
first_name,
last_name
has_work_assignment_business_entity_id
string
has_work_assignment_pay_schedule_id
string
include_archived_work_assignments
boolean
has_work_assignment_tag_id
string
has_work_assignment_tag_group_id
string
expand
enum<string>[]
Available options:
company,
work_assignments

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]